M2X APIs
M2X APIS (1.0.0)
Download OpenAPI description
Overview
License
All Rights Reserved
Languages
Servers
Mock server
https://developer.m2x.app/_mock/apis/publicapi/openapi/
https://developer.m2x.app/apis/v0/
NZ Production server (uses live data)
https://m2x.app/apis/v0/
US Production server (uses live data)
https://us.m2x.app/apis/v0/
AUS Production server (uses live data)
https://au.m2x.app/apis/v0/
Sandbox server
https://staging.m2x.app/apis/v0/
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}
- https://developer.m2x.app/apis/v0/masterBookings/{masterBookingId}
- NZ Production server (uses live data)https://m2x.app/apis/v0/masterBookings/{masterBookingId}
- US Production server (uses live data)https://us.m2x.app/apis/v0/masterBookings/{masterBookingId}
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/masterBookings/{masterBookingId}
- Sandbox serverhttps://staging.m2x.app/apis/v0/masterBookings/{masterBookingId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "transportMode": "COASTAL", "masterBookingId": "string", "externalId": "string", "shipmentId": "string", "emptyReleaseNumber": "string", "releaseNumber": "string", "containerNumber": "string", "containerSealNumber": "string", "customer": { "customerId": "string", "customerName": "string", "externalId": "string", "integrationId": "string" }, "recipientCustomer": "string", "shippingTemperature": 0, "actualPackTemperature": 0, "unNumber": "string", "commodityCode": "string", "commodityDescription": "string", "dangerousGoods": true, "ambientTimeHours": 0, "activeRefrigeration": true, "powerOffDateTime": "string", "grossWeightKg": 0, "netWeightKg": 0, "tareWeightKg": 0, "spatialRequirement": 0, "salesOrderNumber": "string", "purchaseOrderNumber": "string", "customerOrderNumber": "string", "specialInstructions": "string", "internalNotes": "string", "feederVessel": "string", "feederVoyageNumber": "string", "oceanVessel": "string", "oceanVoyageNumber": "string", "shippingCarrier": "string", "shippingBookingReference": "string", "portOfDischarge": "string", "destinationCountry": "string", "portOfDispatch": "string", "originCountry": "string", "product": { "productBundle": {}, "productCode": { … }, "productId": "string", "quantity": 0 }, "bookingIds": [ "string" ], "movements": [ { … } ], "properties": {}, "canceled": true, "createdBy": { "userId": "string", "userName": "string", "email": "string", "sourceId": "string" }, "created": "string", "updated": "string", "type": "EXPORT", "segments": { "pre": { … }, "main": { … } } }
Bodyapplication/jsonrequired
Create or update a master booking
Maximum time the container can be at ambient temperature (for refrigerated goods)
Whether the container requires active refrigeration during transport
Container movement segments for export operations (pre-movement and main movement only)
Pre-movement segment for container operations
Main export movement segment for container operations
Whether the segment is tentative for scheduling. If true, no movements will be generated for this segment.
The mode of transport for the container
Enum"COASTAL""RAIL""ROAD"
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}
- https://developer.m2x.app/apis/v0/masterBookings/{masterBookingId}
- NZ Production server (uses live data)https://m2x.app/apis/v0/masterBookings/{masterBookingId}
- US Production server (uses live data)https://us.m2x.app/apis/v0/masterBookings/{masterBookingId}
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/masterBookings/{masterBookingId}
- Sandbox serverhttps://staging.m2x.app/apis/v0/masterBookings/{masterBookingId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"keyWaypoints": null,
"transportMode": "COASTAL",
"shipmentId": "string",
"emptyReleaseNumber": "string",
"releaseNumber": "string",
"containerNumber": "string",
"containerSealNumber": "string",
"customer": {
"customerName": "Fruit World",
"customerId": "Yc7cXUulBhMM58iuOQce",
"externalId": "FTW",
"integrationId": "C99"
},
"recipientCustomer": "string",
"shippingTemperature": 0,
"actualPackTemperature": 0,
"unNumber": "string",
"commodityCode": "string",
"commodityDescription": "string",
"dangerousGoods": true,
"ambientTimeHours": 0,
"activeRefrigeration": true,
"powerOffDateTime": "2019-08-24T14:15:22Z",
"grossWeightKg": 0,
"netWeightKg": 0,
"tareWeightKg": 0,
"spatialRequirement": 0,
"salesOrderNumber": "string",
"purchaseOrderNumber": "string",
"customerOrderNumber": "string",
"specialInstructions": "string",
"internalNotes": "string",
"feederVessel": "string",
"feederVoyageNumber": "string",
"oceanVessel": "string",
"oceanVoyageNumber": "string",
"shippingCarrier": "string",
"shippingBookingReference": "string",
"portOfDischarge": "string",
"destinationCountry": "string",
"portOfDispatch": "string",
"originCountry": "string",
"product": {
"productCode": {
"productCode": null,
"productCodeExternalId": null,
"productDescription": null
},
"quantity": 0,
"productBundle": {
"payload": [
{
"itemId": "string",
"quantity": 0,
"description": "string",
"massKg": 0,
"netWeightKg": 0,
"tareWeightKg": 0,
"spatialRequirement": 0,
"unitOfMeasure": "string",
"product": {
"productCode": null,
"productCodeExternalId": null,
"productDescription": null
},
"commodityCode": "string",
"commodityDescription": "string",
"orderNumber": "string",
"metadata": null,
"properties": null
}
]
}
},
"properties": {},
"type": "EXPORT",
"segments": {
"pre": {
"tentative": true,
"options": {
"regenerateMovements": true
},
"transportMode": "COASTAL",
"placeOfPickup": {
"location": {
"locationId": null,
"addressText": null,
"locationExternalId": null,
"locationName": null,
"latitude": 0,
"longitude": 0,
"saveIfUnknown": false,
"locationNameResolutionEnabled": false,
"useDefaultParentGroup": false,
"parentGroupExternalId": null,
"parentGroupName": null,
"saveGroupIfUnknown": false
},
"dateTimeWindow": {
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z"
}
},
"placeOfDelivery": {
"location": {
"locationId": null,
"addressText": null,
"locationExternalId": null,
"locationName": null,
"latitude": 0,
"longitude": 0,
"saveIfUnknown": false,
"locationNameResolutionEnabled": false,
"useDefaultParentGroup": false,
"parentGroupExternalId": null,
"parentGroupName": null,
"saveGroupIfUnknown": false
},
"dateTimeWindow": {
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z"
}
},
"shippingInformation": {
"timeConstraints": [
{
"dateTime": "2019-08-24T14:15:22Z",
"constraintType": "AVAILABLE"
}
]
}
},
"main": {
"tentative": true,
"options": {
"regenerateMovements": true
},
"transportMode": "COASTAL",
"placeOfPickup": {
"location": {
"locationId": null,
"addressText": null,
"locationExternalId": null,
"locationName": null,
"latitude": 0,
"longitude": 0,
"saveIfUnknown": false,
"locationNameResolutionEnabled": false,
"useDefaultParentGroup": false,
"parentGroupExternalId": null,
"parentGroupName": null,
"saveGroupIfUnknown": false
},
"dateTimeWindow": {
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z"
}
},
"placeOfDelivery": {
"location": {
"locationId": null,
"addressText": null,
"locationExternalId": null,
"locationName": null,
"latitude": 0,
"longitude": 0,
"saveIfUnknown": false,
"locationNameResolutionEnabled": false,
"useDefaultParentGroup": false,
"parentGroupExternalId": null,
"parentGroupName": null,
"saveGroupIfUnknown": false
},
"dateTimeWindow": {
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z"
}
},
"shippingInformation": {
"timeConstraints": [
{
"dateTime": "2019-08-24T14:15:22Z",
"constraintType": "AVAILABLE"
}
],
"placeOfReceipt": {
"location": {
"locationId": null,
"addressText": null,
"locationExternalId": null,
"locationName": null,
"latitude": 0,
"longitude": 0,
"saveIfUnknown": false,
"locationNameResolutionEnabled": false,
"useDefaultParentGroup": false,
"parentGroupExternalId": null,
"parentGroupName": null,
"saveGroupIfUnknown": false
},
"timeConstraints": [
{
"dateTime": "2019-08-24T14:15:22Z",
"constraintType": "ESTIMATED_DEPARTURE"
}
]
},
"portOfLoading": {
"location": {
"locationId": null,
"addressText": null,
"locationExternalId": null,
"locationName": null,
"latitude": 0,
"longitude": 0,
"saveIfUnknown": false,
"locationNameResolutionEnabled": false,
"useDefaultParentGroup": false,
"parentGroupExternalId": null,
"parentGroupName": null,
"saveGroupIfUnknown": false
},
"timeConstraints": [
{
"dateTime": "2019-08-24T14:15:22Z",
"constraintType": "ESTIMATED_DEPARTURE"
}
]
}
}
}
}
}'Response
application/json
{ "masterBookingId": "string" }
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}
- https://developer.m2x.app/apis/v0/masterBookings/{masterBookingId}
- NZ Production server (uses live data)https://m2x.app/apis/v0/masterBookings/{masterBookingId}
- US Production server (uses live data)https://us.m2x.app/apis/v0/masterBookings/{masterBookingId}
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/masterBookings/{masterBookingId}
- Sandbox serverhttps://staging.m2x.app/apis/v0/masterBookings/{masterBookingId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "masterBookingId": "string" }
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}/manifest
- https://developer.m2x.app/apis/v0/masterBookings/{masterBookingId}/manifest
- NZ Production server (uses live data)https://m2x.app/apis/v0/masterBookings/{masterBookingId}/manifest
- US Production server (uses live data)https://us.m2x.app/apis/v0/masterBookings/{masterBookingId}/manifest
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/masterBookings/{masterBookingId}/manifest
- Sandbox serverhttps://staging.m2x.app/apis/v0/masterBookings/{masterBookingId}/manifest
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}/manifest' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"masterBookingId": "string",
"releaseNumber": "string",
"containerNumber": "string",
"containerSealNumber": "string",
"customerOrderNumber": "string",
"shippingTemperature": 0,
"actualPackTemperature": 0,
"grossWeightKg": 0,
"netWeightKg": 0,
"tareWeightKg": 0,
"spatialRequirement": 0,
"powerOffDateTime": "2019-08-24T14:15:22Z",
"product": {
"productCode": {
"productCode": null,
"productCodeExternalId": null,
"productDescription": null
},
"quantity": 0,
"productBundle": {
"payload": [
{
"itemId": "string",
"quantity": 0,
"description": "string",
"massKg": 0,
"netWeightKg": 0,
"tareWeightKg": 0,
"spatialRequirement": 0,
"unitOfMeasure": "string",
"product": {
"productCode": null,
"productCodeExternalId": null,
"productDescription": null
},
"commodityCode": "string",
"commodityDescription": "string",
"orderNumber": "string",
"metadata": null,
"properties": null
}
]
}
},
"activeRefrigeration": true,
"dangerousGoods": true,
"unNumber": "string",
"commodityCode": "string",
"commodityDescription": "string",
"timestamp": "2019-08-24T14:15:22Z",
"specialInstructions": "string",
"feederVessel": "string",
"feederVoyageNumber": "string",
"oceanVessel": "string",
"oceanVoyageNumber": "string",
"shippingBookingReference": "string",
"shipmentId": "string",
"packDate": "2019-08-24",
"properties": {},
"metadata": {}
}'Response
application/json
{ "masterBookingId": "string" }
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}/expense
- https://developer.m2x.app/apis/v0/masterBookings/{masterBookingId}/expense
- NZ Production server (uses live data)https://m2x.app/apis/v0/masterBookings/{masterBookingId}/expense
- US Production server (uses live data)https://us.m2x.app/apis/v0/masterBookings/{masterBookingId}/expense
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/masterBookings/{masterBookingId}/expense
- Sandbox serverhttps://staging.m2x.app/apis/v0/masterBookings/{masterBookingId}/expense
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}/expense' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "total": 0, "expenses": [ { … } ] }
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}/revenue
- https://developer.m2x.app/apis/v0/masterBookings/{masterBookingId}/revenue
- NZ Production server (uses live data)https://m2x.app/apis/v0/masterBookings/{masterBookingId}/revenue
- US Production server (uses live data)https://us.m2x.app/apis/v0/masterBookings/{masterBookingId}/revenue
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/masterBookings/{masterBookingId}/revenue
- Sandbox serverhttps://staging.m2x.app/apis/v0/masterBookings/{masterBookingId}/revenue
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings/{masterBookingId}/revenue' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "total": 0 }
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings
- https://developer.m2x.app/apis/v0/masterBookings
- NZ Production server (uses live data)https://m2x.app/apis/v0/masterBookings
- US Production server (uses live data)https://us.m2x.app/apis/v0/masterBookings
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/masterBookings
- Sandbox serverhttps://staging.m2x.app/apis/v0/masterBookings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://developer.m2x.app/_mock/apis/publicapi/openapi/masterBookings?shipmentId=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
[ { "transportMode": "COASTAL", "masterBookingId": "string", "externalId": "string", "shipmentId": "string", "emptyReleaseNumber": "string", "releaseNumber": "string", "containerNumber": "string", "containerSealNumber": "string", "customer": { … }, "recipientCustomer": "string", "shippingTemperature": 0, "actualPackTemperature": 0, "unNumber": "string", "commodityCode": "string", "commodityDescription": "string", "dangerousGoods": true, "ambientTimeHours": 0, "activeRefrigeration": true, "powerOffDateTime": "string", "grossWeightKg": 0, "netWeightKg": 0, "tareWeightKg": 0, "spatialRequirement": 0, "salesOrderNumber": "string", "purchaseOrderNumber": "string", "customerOrderNumber": "string", "specialInstructions": "string", "internalNotes": "string", "feederVessel": "string", "feederVoyageNumber": "string", "oceanVessel": "string", "oceanVoyageNumber": "string", "shippingCarrier": "string", "shippingBookingReference": "string", "portOfDischarge": "string", "destinationCountry": "string", "portOfDispatch": "string", "originCountry": "string", "product": { … }, "bookingIds": [ … ], "movements": [ … ], "properties": {}, "canceled": true, "createdBy": { … }, "created": "string", "updated": "string", "type": "EXPORT", "segments": { … } } ]
Bodyapplication/jsonrequired
Container movement segments for export operations (pre-movement and main movement only)
- Mock serverhttps://developer.m2x.app/_mock/apis/publicapi/openapi/Master Booking
- https://developer.m2x.app/apis/v0/Master Booking
- NZ Production server (uses live data)https://m2x.app/apis/v0/Master Booking
- US Production server (uses live data)https://us.m2x.app/apis/v0/Master Booking
- AUS Production server (uses live data)https://au.m2x.app/apis/v0/Master Booking
- Sandbox serverhttps://staging.m2x.app/apis/v0/Master Booking
application/json
{ "transportMode": "COASTAL", "masterBookingId": "string", "externalId": "string", "shipmentId": "string", "emptyReleaseNumber": "string", "releaseNumber": "string", "containerNumber": "string", "containerSealNumber": "string", "customer": { "customerId": "string", "customerName": "string", "externalId": "string", "integrationId": "string" }, "recipientCustomer": "string", "shippingTemperature": 0, "actualPackTemperature": 0, "unNumber": "string", "commodityCode": "string", "commodityDescription": "string", "dangerousGoods": true, "ambientTimeHours": 0, "activeRefrigeration": true, "powerOffDateTime": "string", "grossWeightKg": 0, "netWeightKg": 0, "tareWeightKg": 0, "spatialRequirement": 0, "salesOrderNumber": "string", "purchaseOrderNumber": "string", "customerOrderNumber": "string", "specialInstructions": "string", "internalNotes": "string", "feederVessel": "string", "feederVoyageNumber": "string", "oceanVessel": "string", "oceanVoyageNumber": "string", "shippingCarrier": "string", "shippingBookingReference": "string", "portOfDischarge": "string", "destinationCountry": "string", "portOfDispatch": "string", "originCountry": "string", "product": { "productBundle": {}, "productCode": { … }, "productId": "string", "quantity": 0 }, "bookingIds": [ "string" ], "movements": [ { … } ], "properties": {}, "canceled": true, "createdBy": { "userId": "string", "userName": "string", "email": "string", "sourceId": "string" }, "created": "string", "updated": "string", "type": "EXPORT", "segments": { "pre": { … }, "main": { … } } }